// src/routes/authRoutes.js
const express = require('express');
const authController = require('../controllers/authController');
// Import role authorization if needed for registration logic later
// const { authorizeRole } = require('../middleware/authMiddleware');

const router = express.Router();

// POST /api/auth/register - Register a new user
// Initially, anyone might register, or you might restrict this later.
// The createInitialAdminUser function handles the very first admin.
// You might want to add authorizeRole('admin') here later so only admins can create users.
router.post('/register', authController.register);

// POST /api/auth/login - Login a user
router.post('/login', authController.login);

// Example of a protected route to test authentication
// GET /api/auth/profile - Get current user's profile (requires login)
// router.get('/profile', authenticateToken, (req, res) => {
//   // req.user is populated by authenticateToken middleware
//   res.json({ user: req.user });
// });

module.exports = router;
